Name:           kolab-webadmin
Version:        3.0.5
Release:        %mkrel 4
Summary:        Kolab Groupware Server Web Administration Interface
License:        AGPLv3+
Group:          System/Servers
Url:            http://www.kolab.org
Source0:        http://git.kolab.org/kolab-wap/snapshot/kolab-webadmin-%{version}.tar.gz
Patch0:         apache-2_4.patch
BuildArch:      noarch
Requires(pre):  apache
Requires(pre):  pykolab
Requires:       mozldap-tools
Requires:       php >= 5.3
Requires:       php-smarty >= 3.1.7
Requires:       php-pear-Net_Socket
Requires:       php-pear-Net_LDAP2
Requires:       php-gettext
Requires:       php-ldap
Requires:       php-mysql

%description
Web based admin - and user interface for the Kolab Groupware Server

%prep
%setup -q

%patch0 -p1 -b .apache-2_4.patch

%build

%install
mkdir -p \
    %{buildroot}/%{_datadir}/%{name}/ \
    %{buildroot}/%{_webappconfdir} \
    %{buildroot}/%{_logdir}/%{name} \
    %{buildroot}/%{_localstatedir}/cache/%{name}

cp -a lib/ public_html/ hosted/ %{buildroot}/%{_datadir}/%{name}/.
cp -a doc/kolab-webadmin.conf %{buildroot}/%{_webappconfdir}/
cp -a doc/hosted-kolab.conf %{buildroot}/%{_webappconfdir}
pushd %{buildroot}/%{_datadir}/%{name}/
ln -s ../../..%{_var}/cache/%{name} cache
ln -s ../../..%{_var}/log/%{name} logs
pushd hosted/skins/kolabsys
ln -sf ../../../public_html/skins/default/style.css style.css
ln -sf ../../../public_html/skins/default/ui.js ui.js
rm -rf images
ln -sf ../../../public_html/skins/default/images images
popd
popd


%pre
# We don't need to add the kolab user and group accounts. Pykolab already does it.

gpasswd -a apache kolab >/dev/null 2>&1 || :

if [ $1 -gt 1 ]; then
    if [ ! -L "/usr/share/kolab-webadmin/hosted/js" -a -d "/usr/share/kolab-webadmin/hosted/js" ]; then
        rm -rf /usr/share/kolab-webadmin/hosted/js >/dev/null 2>&1 || :
    fi

    if [ ! -L "/usr/share/kolab-webadmin/hosted/skins" -a -d "/usr/share/kolab-webadmin/hosted/skins" ]; then
        rm -rf /usr/share/kolab-webadmin/hosted/skins >/dev/null 2>&1 || :
    fi

    if [ ! -L "/usr/share/kolab-webadmin/public_html/skins/minimal/images" -a -d "/usr/share/kolab-webadmin/public_html/skins/minimal/images" ]; then
        rm -rf /usr/share/kolab-webadmin/public_html/skins/minimal/images >/dev/null 2>&1 || :
    fi
fi

%files
%doc doc/* INSTALL LICENSE
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_webappconfdir}/hosted-kolab.conf
%{_datadir}/%{name}
%attr(0770,apache,apache) %{_localstatedir}/cache/%{name}
%attr(0770,apache,apache) %{_logdir}/%{name}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.0.5-4.mga4
+ Revision: 532303
- Mageia 4 Mass Rebuild

  + spuhler <spuhler>
    -added Requires(pre): pykolab
     * to make certain we have the users and groups added in case someone installs just this pacakge

* Mon Aug 19 2013 spuhler <spuhler> 3.0.5-2.mga4
+ Revision: 467835
- Removed adding kolab user and group accounts with hard coded ID's
  * pykolab already adds them

* Mon Aug 19 2013 spuhler <spuhler> 3.0.5-1.mga4
+ Revision: 467830
-upgrade to version 3.0.5
- removed patches (already in source 3.0.5)
 * kolab-webadmin-3.0.3-1402.patch
 * kolab-webadmin-3.0.3-1472.patch

* Sat Jan 12 2013 umeabot <umeabot> 3.0.3-5.mga3
+ Revision: 356390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 spuhler <spuhler> 3.0.3-4.mga3
+ Revision: 341696
- added apache-2.4 conf patch

* Sat Jan 05 2013 spuhler <spuhler> 3.0.3-3.mga3
+ Revision: 339399
- removed unused defines
  used %%{_webappconfdir} for conf directory

* Wed Jan 02 2013 spuhler <spuhler> 3.0.3-2.mga3
+ Revision: 337552
- syncronized the spec file with upstream (Fedora)
  Corrected mga specifics

* Sat Dec 15 2012 spuhler <spuhler> 3.0.3-1.mga3
+ Revision: 331310
- upgrade to 3.0.3

* Tue Sep 18 2012 spuhler <spuhler> 3.0.2-1.mga3
+ Revision: 295827
- updated to 3.0.2

* Thu Sep 13 2012 spuhler <spuhler> 3.0.1-1.mga3
+ Revision: 293434
- upgrade to 3.0.1

* Fri Aug 17 2012 spuhler <spuhler> 3.0.0-1.mga3
+ Revision: 281758
- upgrade to  3.0.0
- upgrade to 2.4

* Sun Apr 08 2012 luigiwalser <luigiwalser> 2.2.4-4.mga2
+ Revision: 229643
- httpd restart is handled by filetriggers now

* Sun Sep 18 2011 dmorgan <dmorgan> 2.2.4-3.mga2
+ Revision: 144688
- Change apache-conf require

  + spuhler <spuhler>
    - revert last changes
    - downgrade to Version: 1
      add subrel 1 for mga 1 updates

* Fri Jun 10 2011 spuhler <spuhler> 2.2.4-2.mga2
+ Revision: 103094
- updated from rel from 1 to 2
  changed Requires: php-smarty >= 2.6.20 to  php-smarty2 >= 2.6.20

* Sun Jan 09 2011 spuhler <spuhler> 2.2.4-1.mga1
+ Revision: 4363
- imported package kolab-webadmin


* Wed Jul 14 2010 Thomas Spuhler <tspuhler@mandriva.org> 2.2.4-1mdv2011.0
+ Revision: 553010
- Updated to upstream version 2.2.4

* Thu Jul 01 2010 Thomas Spuhler <tspuhler@mandriva.org> 2.2.3-2.1mdv2011.0
+ Revision: 549721
- added patch user.php.diff
  fixed bug # 59632
  bumped to subrelease 1

* Tue Apr 20 2010 Thomas Spuhler <tspuhler@mandriva.org> 2.2.3-2mdv2010.1
+ Revision: 536905
- changed location of sieve directory from /var/lib/sieve to /var/lib/imap/sieve
  Increase release verison to 2

* Mon Apr 12 2010 Thomas Spuhler <tspuhler@mandriva.org> 2.2.3-1mdv2010.1
+ Revision: 533617
- added missing files to source, mandriva and bootstrap
- Updated to version 2.2.3
- Updated to version 2.2.3

* Sun Sep 13 2009 Thomas Spuhler <tspuhler@mandriva.org> 2.1.0-9mdv2010.0
+ Revision: 438601
- removed the fuss=0 define
- changed path of smarty to actual 2010, by the mysmarty.php patch added the mandriva patch for a lot of other path correction and correct the path in the spec file
- changed path of smarty to actual 2010

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Fri Sep 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-8mdv2009.0
+ Revision: 285836
- fix #42455 (kolab-webadmin-2.1.0-7mdv2009.0.noarch cannot be installed because of dependency)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-7mdv2009.0
+ Revision: 222594
- fix #%%define is forbidden
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-6mdv2008.1
+ Revision: 150432
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 23 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-5mdv2008.0
+ Revision: 92347
- misc build fixes

* Mon Sep 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-4mdv2008.0
+ Revision: 84132
- fix #33305,#33392 (path to mysmarty.php)

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-3mdv2008.0
+ Revision: 43903
- really fix build
- fix build
- fix deps

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-2mdv2008.0
+ Revision: 33632
- new mandriva file

* Sat May 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2008.0
+ Revision: 31492
- 2.1.0
- fixed a lot of stuff...


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:52:38 (63286)
- hmmm..., forgot the mkrel macro

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:50:04 (63284)
- rebuild

* Tue May 30 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 08:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sun Sep 11 2005 oeriksson
+ 2005-09-10 07:40:04 (878)
- new snap (small fixes)

* Sun Sep 11 2005 oeriksson
+ 2005-09-10 07:38:53 (877)
- new snap (small fixes)

* Sat Aug 20 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-08-19 14:51:51 (709)
- remove references to kolab user/groups since they are
  not used in this package. Also delegate user creation to
  the main kolab package.

* Fri Aug 19 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-08-18 13:29:35 (698)
- added phpself patch: $PHP_SELF -> $_SERVER['PHP_SELF']

* Wed Aug 17 2005 oeriksson
+ 2005-08-16 00:05:13 (651)
- added deps on locales to make language switching work

* Tue Aug 16 2005 oeriksson
+ 2005-08-15 07:03:59 (645)
- fix kolab-server/kolab renaming

* Sun Aug 14 2005 oeriksson
+ 2005-08-13 04:41:00 (628)
- fix smarter perl search and replace (works faster)
- add the kolab user and group from here because i never managed to
  make urpmi install kolab-server first...

* Sat Aug 13 2005 oeriksson
+ 2005-08-12 01:50:42 (610)
- new snap (20050812)
- fix deps
- rediff the antibork patch
- remove hardcoded path to /var/www/html/kolab
- added P1 to also install the italian locales

* Sat Aug 06 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-08-05 07:04:29 (539)
- fixed prereq loop

* Thu Aug 04 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-08-03 11:53:31 (524)
- added more include path fixes to the original antibork patch

* Tue Aug 02 2005 oeriksson
+ 2005-08-01 08:30:57 (487)
- use a recent cvs snap (20050801)
- fix deps
- added the Mandriva file that is used by the configure and Makefile to set certain values
- misc spec file fixes

* Sat Jul 23 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-07-22 11:08:32 (427)
- applied Oden's latest changes

* Fri Jul 22 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-07-21 08:14:25 (391)
- merged in Oden's changes:
  - added antibork patch
  - added requires for php-pear-Net_Sieve

* Wed Jul 13 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-07-12 10:27:04 (364)
- added kolab-webadmin files
- packaged for Mandriva

